[hamradio-commits] [dump1090-mutability] 24/172: Big rearrangement to add debconf support.

Matteo F. Vescovi mfv at moszumanska.debian.org
Sun Jan 28 13:45:42 UTC 2018


This is an automated email from the git hooks/post-receive script.

mfv pushed a commit to branch master
in repository dump1090-mutability.

commit 9c136cf38c404897be317eae7c1775428b78555f
Author: Oliver Jowett <oliver at mutability.co.uk>
Date:   Tue Dec 9 20:36:24 2014 +0000

    Big rearrangement to add debconf support.
    
    /etc/default/dump1090-mutability is now generated in postinst,
    if it doesn't exist, from a template in /usr/share/dump1090-mutability.
    Subsequently, the config file is updated in place if debconf-driven
    changes are made.
    
    Static HTML/javascript have moved to a "html" subdir to avoid exposing
    the template via the webserver.
---
 ...dump1090-mutability.default => config-template} |  78 ++++---
 debian/dump1090-mutability.config                  | 108 ++++++++++
 debian/dump1090-mutability.init                    |  37 +---
 debian/dump1090-mutability.install                 |   3 +-
 debian/dump1090-mutability.postinst                |  78 ++++++-
 debian/dump1090-mutability.postrm                  |  41 ++++
 debian/dump1090-mutability.templates               | 231 +++++++++++++++++++++
 debian/lighttpd/89-dump1090.conf                   |   2 +-
 debian/rules                                       |   2 +-
 9 files changed, 504 insertions(+), 76 deletions(-)

diff --git a/debian/dump1090-mutability.default b/debian/config-template
similarity index 70%
rename from debian/dump1090-mutability.default
rename to debian/config-template
index d14386b..ad16795 100644
--- a/debian/dump1090-mutability.default
+++ b/debian/config-template
@@ -1,19 +1,19 @@
-# Defaults for dump1090-mutability
-# This is a POSIX shell fragment
+## TEMPLATE FILE - This is used to create /etc/default/dump1090-mutability ##
+## The first three lines will be discarded                                 ##
+
+# dump1090-mutability configuration file
+# This is a POSIX shell fragment.
+# You can edit this file directly, or use
+# "dpkg-reconfigure dump1090-mutability"
 
 # Set to "yes" to start dump1090 on boot.
-START_DUMP1090="no"
+START_DUMP1090=
 
 # User to run dump1090 as.
-DUMP1090_USER="dump1090"
+DUMP1090_USER=
 
 # Logfile to log to
-#LOGFILE="/var/log/dump1090-mutability.log"
-
-#
-# The following options are all optional - defaults if not provided are
-# shown below.
-#
+LOGFILE=
 
 #
 # Receiver options
@@ -21,38 +21,36 @@ DUMP1090_USER="dump1090"
 
 # RTLSDR device index to use
 # If set to "none", dump1090 will be started in --net-only mode
-#DEVICE=0
+DEVICE=
 
 # RTLSDR gain in dB.
 # If set to "max" (the default) the maximum supported gain is used.
 # If set to "agc", the tuner AGC is used to set the gain.
-#GAIN=max
+GAIN=
 
 # RTLSDR frequency correction in PPM
-#PPM=0
+PPM=
 
 # If yes, enable sampling at 2.4MHz. Otherwise, 2.0MHz is used.
-#OVERSAMPLE=no
+OVERSAMPLE=
+
+# If yes, enables phase-enhancement of messages
+PHASE_ENHANCE=
 
 #
 # Decoding options
 #
 
 # If yes, fixes messages with correctable CRC errors.
-# Otherwise, discards messages with errors.
-#FIX_CRC=no
-
-# If yes, enables phase-enhancement of messages that fail to decode
-# the first time around.
-#PHASE_ENHANCE=no
+FIX_CRC=
 
 # If yes, enables aggressive fixes to damaged messages.
 # Use with caution - it can increase the rate of undetected errors.
-#AGGRESSIVE=no
+AGGRESSIVE=
 
 # If set, supplies a reference location for local position decoding.
-#LAT=decimal.latitude.value
-#LON=decimal.longitude.value
+LAT=
+LON=
 
 #
 # Networking options
@@ -64,55 +62,55 @@ DUMP1090_USER="dump1090"
 # /usr/share/dump1090-mutability and JSON_DIR (below) using a proper
 # webserver. See /etc/lighttpd/conf-available/90-dump1090.conf
 # for an example configuration ("sudo lighty-enable-mod dump1090" to enable)
-#HTTP_PORT=0
+HTTP_PORT=
 
 # Port to listen on for raw (AVR-format) input connections. 0 disables.
-#RAW_INPUT_PORT=30001
+RAW_INPUT_PORT=
 
 # Port to listen on for raw (AVR-format) output connections. 0 disables.
-#RAW_OUTPUT_PORT=30002
+RAW_OUTPUT_PORT=
 
 # Port to listen on for SBS-format output connections. 0 disables.
-#SBS_OUTPUT_PORT=30003
+SBS_OUTPUT_PORT=
 
 # Port to listen on for Beast-format input connections. 0 disables.
-#BEAST_INPUT_PORT=30004
+BEAST_INPUT_PORT=
 
 # Port to listen on for Beast-format output connections. 0 disables.
-#BEAST_OUTPUT_PORT=30005
+BEAST_OUTPUT_PORT=
 
 # Port to listen on for FATSV-format output connections. 0 disables.
-#FATSV_OUTPUT_PORT=10001
+FATSV_OUTPUT_PORT=
 
 # TCP heartbeat interval in seconds. 0 disables.
-#NET_HEARTBEAT=60
+NET_HEARTBEAT=
 
 # Minimum output buffer size per write, in bytes.
-#NET_OUTPUT_SIZE=500
+NET_OUTPUT_SIZE=
 
 # Maximum buffering time before writing, in seconds.
-#NET_OUTPUT_INTERVAL=1
+NET_OUTPUT_INTERVAL=
 
-# TCP buffer size order. Power-of-two based - buffer size is 2^(n+16).
-#NET_BUFFER=4
+# TCP buffer size, in bytes
+NET_BUFFER=
 
 # Bind ports on a particular address. If unset, binds to all interfaces.
 # This defaults to binding to localhost. If you need to allow remote
 # connections, change this.
-#BIND_ADDRESS=127.0.0.1
+NET_BIND_ADDRESS=
 
 #
 # Misc options
 #
 
 # Interval (in seconds) between logging stats to the logfile. 0 disables.
-#STATS_INTERVAL=3600
+STATS_INTERVAL=
 
 # Path to write json state to (for use with an external webserver). Blank disables.
-#JSON_DIR=/run/dump1090-mutability
+JSON_DIR=
 
 # Interval between writing json state (in seconds). 0 disables.
-#JSON_INTERVAL=1
+JSON_INTERVAL=
 
 # Additional options that are passed to the Daemon.
-#EXTRA_ARGS=""
+EXTRA_ARGS=
diff --git a/debian/dump1090-mutability.config b/debian/dump1090-mutability.config
new file mode 100644
index 0000000..1b0e437
--- /dev/null
+++ b/debian/dump1090-mutability.config
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+NAME=dump1090-mutability
+CONFIGFILE=/etc/default/$NAME
+set -e
+. /usr/share/debconf/confmodule
+
+db_set_yn() {
+  if [ "x$2" = "xyes" ]; then db_set $1 true; else db_set $1 false; fi
+}
+
+# Load config file, if it exists.
+if [ -e $CONFIGFILE ]; then
+  . $CONFIGFILE || true
+
+  # Store values from config file into
+  # debconf db.
+
+  db_set_yn $NAME/auto-start "$START_DUMP1090"
+  db_set $NAME/run-as-user "$DUMP1090_USER"
+  db_set $NAME/log-file "$LOGFILE"
+
+  db_set $NAME/rtlsdr-device "$DEVICE"
+  db_set $NAME/rtlsdr-gain "$GAIN"
+  db_set $NAME/rtlsdr-ppm "$PPM"
+  db_set_yn $NAME/rtlsdr-oversample "$OVERSAMPLE"
+
+  db_set_yn $NAME/decode-fixcrc "$FIX_CRC"
+  db_set_yn $NAME/decode-phase-enhance "$PHASE_ENHANCE"
+  db_set_yn $NAME/decode-aggressive "$AGGRESSIVE"
+  db_set $NAME/decode-lat "$LAT"
+  db_set $NAME/decode-lon "$LON"
+
+  db_set $NAME/net-http-port "$HTTP_PORT"
+  db_set $NAME/net-ri-port "$RAW_INPUT_PORT"
+  db_set $NAME/net-ro-port "$RAW_OUTPUT_PORT"
+  db_set $NAME/net-bi-port "$BEAST_INPUT_PORT"
+  db_set $NAME/net-bo-port "$BEAST_OUTPUT_PORT"
+  db_set $NAME/net-sbs-port "$SBS_OUTPUT_PORT"
+  db_set $NAME/net-fatsv-port "$FATSV_OUTPUT_PORT"
+  db_set $NAME/net-heartbeat "$NET_HEARTBEAT"
+  db_set $NAME/net-out-size "$NET_OUTPUT_SIZE"
+  db_set $NAME/net-out-interval "$NET_OUTPUT_INTERVAL"
+  db_set $NAME/net-buffer "$NET_BUFFER"
+  db_set $NAME/net-bind-address "$NET_BIND_ADDRESS"
+
+  db_set $NAME/stats-interval "$STATS_INTERVAL"
+  db_set $NAME/json-dir "$JSON_DIR"
+  db_set $NAME/json-interval "$JSON_INTERVAL"
+  db_set $NAME/extra-args "$EXTRA_ARGS"
+fi
+
+# Ask questions.
+
+db_input high $NAME/auto-start || true
+
+db_go || true; db_get $NAME/auto-start; if [ "$RET" = "true" ]; then
+ # all of these are only relevant if the init script is enabled
+
+ db_input low $NAME/run-as-user || true
+ db_input low $NAME/log-file || true
+
+ db_input medium $NAME/rtlsdr-device || true
+
+ db_go || true; db_get $NAME/rtlsdr-device; if [ "x$RET" != "xnone" ]; then
+  # only if a real device was chosen:
+  db_input medium $NAME/rtlsdr-gain || true
+  db_input medium $NAME/rtlsdr-ppm || true
+  db_input low $NAME/rtlsdr-oversample || true
+ fi
+
+ db_input low $NAME/decode-fix-crc || true
+ db_input low $NAME/decode-aggressive || true
+ db_input medium $NAME/decode-lat || true
+
+ db_go || true; db_get $NAME/decode-lat; if [ -n "$RET" ]; then
+  # only if latitude was given:
+  db_input medium $NAME/decode-lon || true
+ fi
+
+ db_input medium $NAME/net-http-port || true
+ db_input low $NAME/net-ri-port || true
+ db_input low $NAME/net-ro-port || true
+ db_input low $NAME/net-bi-port || true
+ db_input low $NAME/net-bo-port || true
+ db_input low $NAME/net-sbs-port || true
+ db_input low $NAME/net-fatsv-port || true
+ db_input low $NAME/net-heartbeat || true
+ db_input low $NAME/net-out-size || true
+ db_input low $NAME/net-out-interval || true
+ db_input low $NAME/net-buffer || true
+ db_input medium $NAME/net-bind-address || true
+
+ db_input low $NAME/stats-interval || true
+ db_input low $NAME/json-dir || true
+
+ db_go || true; db_get $NAME/json-dir; if [ -n "$RET" ]; then
+  # only if json-dir was given:
+  db_input low $NAME/json-interval || true
+ fi
+ 
+ db_input low $NAME/extra-args || true
+ 
+ db_go || True
+fi
+
+# Done.
+db_stop
diff --git a/debian/dump1090-mutability.init b/debian/dump1090-mutability.init
index 2afeb55..bf38527 100644
--- a/debian/dump1090-mutability.init
+++ b/debian/dump1090-mutability.init
@@ -25,36 +25,6 @@ SCRIPTNAME=/etc/init.d/$NAME
 # Exit if the package is not installed
 [ -x "$DAEMON" ] || exit 0
 
-# Set defaults:
-START_DUMP1090=no
-DUMP1090_USER=dump1090
-LOGFILE=/var/log/$NAME.log
-DEVICE=0
-GAIN=max
-PPM=0
-OVERSAMPLE=no
-FIX_CRC=no
-PHASE_ENHANCE=no
-AGGRESSIVE=no
-LAT=
-LON=
-HTTP_PORT=0
-RAW_INPUT_PORT=30001
-RAW_OUTPUT_PORT=30002
-SBS_OUTPUT_PORT=30003
-BEAST_INPUT_PORT=30004
-BEAST_OUTPUT_PORT=30005
-FATSV_OUTPUT_PORT=10001
-NET_HEARTBEAT=60
-NET_OUTPUT_SIZE=500
-NET_OUTPUT_INTERVAL=1
-NET_BUFFER=4
-BIND_ADDRESS=127.0.0.1
-STATS_INTERVAL=3600
-JSON_DIR=/run/$NAME
-JSON_INTERVAL=1
-EXTRA_ARGS=
-
 # Read configuration variable file if it is present
 [ -r /etc/default/$NAME ] && . /etc/default/$NAME
 
@@ -92,8 +62,11 @@ if [ "x$FATSV_OUTPUT_PORT" != "x10001" ]; then ARGS="$ARGS --net-fatsv-port $FAT
 if [ "x$NET_HEARTBEAT" != "x60" ]; then ARGS="$ARGS --net-heartbeat $NET_HEARTBEAT"; fi
 if [ "x$NET_OUTPUT_SIZE" != "x0" ]; then ARGS="$ARGS --net-ro-size $NET_OUTPUT_SIZE"; fi
 if [ "x$NET_OUTPUT_INTERVAL" != "x0" ]; then ARGS="$ARGS --net-ro-interval $NET_OUTPUT_INTERVAL"; fi
-if [ "x$NET_BUFFER" != "x0" ]; then ARGS="$ARGS --net-buffer $NET_BUFFER"; fi
-if [ -n "$BIND_ADDRESS" ]; then ARGS="$ARGS --net-bind-address $BIND_ADDRESS"; fi
+if [ "$NET_BUFFER" -le "65536" ]; then ARGS="$ARGS --net-buffer 0"
+elif [ "$NET_BUFFER" -le "131072" ]; then ARGS="$ARGS --net-buffer 1"
+elif [ "$NET_BUFFER" -le "262144" ]; then ARGS="$ARGS --net-buffer 2"
+else ARGS="$ARGS --net-buffer 3"; fi
+if [ -n "$NET_BIND_ADDRESS" ]; then ARGS="$ARGS --net-bind-address $NET_BIND_ADDRESS"; fi
 
 # misc:
 if [ "x$STATS_INTERVAL" != "x0" ]; then ARGS="$ARGS --stats-every $STATS_INTERVAL"; fi
diff --git a/debian/dump1090-mutability.install b/debian/dump1090-mutability.install
index d1e444b..bfc44bc 100644
--- a/debian/dump1090-mutability.install
+++ b/debian/dump1090-mutability.install
@@ -1,2 +1,3 @@
-public_html/* usr/share/dump1090-mutability
+public_html/* usr/share/dump1090-mutability/html
 debian/lighttpd/* etc/lighttpd/conf-available
+debian/config-template usr/share/dump1090-mutability
diff --git a/debian/dump1090-mutability.postinst b/debian/dump1090-mutability.postinst
index b0fd8f3..2be58a9 100644
--- a/debian/dump1090-mutability.postinst
+++ b/debian/dump1090-mutability.postinst
@@ -17,10 +17,85 @@ set -e
 # for details, see http://www.debian.org/doc/debian-policy/ or
 # the debian-policy package
 
+NAME=dump1090-mutability
+CONFIGFILE=/etc/default/$NAME
+TEMPLATECONFIG=/usr/share/$NAME/config-template
+SEDSCRIPT=$CONFIGFILE.sed.tmp
+
+subvar_raw() {
+  # $1 = db var value
+  # $2 = config var name
+
+  # if not present in the config file, add it
+  test -z "$1" || grep -Eq "^ *$2=" $CONFIGFILE || echo "$2=" >> $CONFIGFILE
+  # add to the sedscript
+  echo "s@^ *$2=.*@$2=\"$1\"@" >>$SEDSCRIPT
+}
+
+subvar() {
+  # $1 = db var name
+  # $2 = config var name
+  db_get $NAME/$1
+  subvar_raw "$RET" "$2"
+}
+
+subvar_yn() {
+  # $1 = db var name
+  # $2 = config var name
+  db_get $NAME/$1
+  if [ "$RET" = "true" ]; then subvar_raw "yes" "$2"; else subvar_raw "no" "$2"; fi
+}
 
 case "$1" in
     configure)
-        adduser --system --home /usr/share/dump1090-mutability --no-create-home --quiet dump1090
+        . /usr/share/debconf/confmodule
+
+        # Generate config file, if it doesn't exist.
+        if [ ! -e $CONFIGFILE ]; then
+            tail -n +4 $TEMPLATECONFIG >$CONFIGFILE
+        fi
+
+        rm -f $SEDSCRIPT
+
+        subvar_yn auto-start START_DUMP1090
+        subvar run-as-user DUMP1090_USER
+        subvar log-file LOGFILE
+        subvar rtlsdr-device DEVICE
+        subvar rtlsdr-gain GAIN
+        subvar rtlsdr-ppm PPM
+        subvar_yn rtlsdr-oversample OVERSAMPLE
+        subvar_yn decode-fixcrc FIX_CRC
+        subvar_yn decode-phase-enhance PHASE_ENHANCE
+        subvar_yn decode-aggressive AGGRESSIVE
+        subvar decode-lat LAT
+        subvar decode-lon LON
+        subvar net-http-port HTTP_PORT
+        subvar net-ri-port RAW_INPUT_PORT
+        subvar net-ro-port RAW_OUTPUT_PORT
+        subvar net-bi-port BEAST_INPUT_PORT
+        subvar net-bo-port BEAST_OUTPUT_PORT
+        subvar net-sbs-port SBS_OUTPUT_PORT
+        subvar net-fatsv-port FATSV_OUTPUT_PORT
+        subvar net-heartbeat NET_HEARTBEAT
+        subvar net-out-size NET_OUTPUT_SIZE
+        subvar net-out-interval NET_OUTPUT_INTERVAL
+        subvar net-buffer NET_BUFFER
+        subvar net-bind-address NET_BIND_ADDRESS
+        subvar stats-interval STATS_INTERVAL
+        subvar json-dir JSON_DIR
+        subvar json-interval JSON_INTERVAL
+        subvar extra-args EXTRA_ARGS
+
+        cp -a -f $CONFIGFILE $CONFIGFILE.tmp
+        sed -f $SEDSCRIPT < $CONFIGFILE > $CONFIGFILE.tmp
+        mv -f $CONFIGFILE.tmp $CONFIGFILE
+        #rm $SEDSCRIPT
+
+        db_get $NAME/auto-start
+        if [ "$RET" = "true" ]; then
+          db_get $NAME/run-as-user
+          adduser --system --home /usr/share/$NAME --no-create-home --quiet "$RET"
+        fi
     ;;
 
     abort-upgrade|abort-remove|abort-deconfigure)
@@ -37,4 +112,5 @@ esac
 
 #DEBHELPER#
 
+if [ "$1" = "configure" ]; then db_stop; fi
 exit 0
diff --git a/debian/dump1090-mutability.postrm b/debian/dump1090-mutability.postrm
new file mode 100644
index 0000000..6bdd5ea
--- /dev/null
+++ b/debian/dump1090-mutability.postrm
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postrm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge)
+        rm -f /etc/default/dump1090-mutability
+    ;;
+
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/dump1090-mutability.templates b/debian/dump1090-mutability.templates
new file mode 100644
index 0000000..92e4902
--- /dev/null
+++ b/debian/dump1090-mutability.templates
@@ -0,0 +1,231 @@
+Template: dump1090-mutability/auto-start
+Description: Start dump1090 automatically?
+ dump1090 can be started automatically via an init-script.
+ Otherwise, the init-script does nothing; you must run dump1090 by hand.
+Type: boolean
+Default: true
+
+Template: dump1090-mutability/run-as-user
+Description: User to run dump1090 as:
+ When started automatically, dump1090 runs as an unprivileged system user. 
+ This user will be created if it does not yet exist.
+Type: string
+Default: dump1090
+
+Template: dump1090-mutability/log-file
+Description: Path to log to:
+ When started automatically, dump1090 will log its output somewhere. This
+ log will contain any startup errors, and periodic statistics reports.
+Type: string
+Default: /var/log/dump1090-mutability.log
+
+Template: dump1090-mutability/rtlsdr-device
+Description: RTL-SDR dongle to use:
+ If you have only one dongle connected, select 0. If you have more than one
+ dongle connected, select the index of the dongle to use (0 is the first
+ dongle). If you want to run dump1090 in "net only" mode, select "none".
+Type: select
+Choices: none, 0, 1, 2, 3, 4, 5
+Default: 0
+
+Template: dump1090-mutability/rtlsdr-gain
+Description: RTL-SDR gain, in dB:
+ The tuner gain used by dump1090 can be provided as a value in dB, or
+ "max" to use the maximum gain available, or "agc" to use the tuner's AGC to
+ control the gain. If unsure, choose "max".
+Type: string
+Default: max
+
+Template: dump1090-mutability/rtlsdr-ppm
+Description: RTL-SDR frequency correction, in PPM:
+ The oscillator in each RTL-SDL dongle is not perfectly accurate. You can
+ choose a correction factor, in parts-per-million, to correct for this. The
+ correction factor varies from dongle to dongle, and also varies with operating
+ temperature. You can find a suitable value with "rtl_test -p" or "kalibrate".
+ If you don't know the value for your dongle, choose 0.
+Type: string
+Default: 0
+
+Template: dump1090-mutability/rtlsdr-oversample
+Description: Enable oversampling at 2.4MHz?
+ Originally, dump1090 would decode incoming signals by sampling at 2MHz. Newer
+ versions also support sampling at 2.4MHz. This may increase the number of
+ decodable messages, but takes slightly more CPU and is not as well tested.
+Type: boolean
+Default: false
+
+Template: dump1090-mutability/decode-fixcrc
+Description: Fix detected CRC errors?
+ dump1090 can fix unambiguous single-bit CRC errors detected in received
+ messages. This allows weaker messages to be decoded. It can slightly increase
+ the rate of undetected errors, but this is not usually significant.
+Type: boolean
+Default: true
+
+Template: dump1090-mutability/decode-phase-enhance
+Description: Apply phase enhancement?
+ dump1090 can attempt to correct for messages that are received
+ out-of-phase from the sampling rate, at the expense of taking more CPU.
+Type: boolean
+Default: true
+
+Template: dump1090-mutability/decode-aggressive
+Description: Aggressively fix more errors?
+ dump1090 can apply more aggressive corrections to received messages,
+ primarily correcting two-bit CRC errors.
+ .
+ Use with caution! This can significantly increase the rate of undetected
+ message errors (i.e. increase the rate of garbled decoded messages)
+Type: boolean
+Default: false
+
+Template: dump1090-mutability/decode-lat
+Description: Latitude of receiver, in decimal degrees:
+ If the location of the receiver is provided, dump1090 can do
+ local position decoding in cases where insufficient position messages are
+ received for unambiguous global position decoding.
+Type: string
+Default:
+
+Template: dump1090-mutability/decode-lon
+Description: Longitude of receiver, in decimal degrees:
+ If the location of the receiver is provided, dump1090 can do
+ local position decoding in cases where insufficient position messages are
+ received for unambiguous global position decoding.
+Type: string
+Default:
+
+Template: dump1090-mutability/net-http-port
+Description: Port for internal webserver (0 disables):
+ dump1090 can provide an internal webserver that serves a basic "virtual
+ radar" map.
+ .
+ It is generally a better idea to use an external webserver, but if you
+ really want to use the internal one, you can select a port to listen
+ on here.
+Type: string
+Default: 0
+
+Template: dump1090-mutability/net-ri-port
+Description: Port for AVR-format input connections (0 disables):
+ dump1090 can accept connections to receive data from other sources in 
+ several formats. This setting controls the port dump1090 will listen
+ on for AVR ("raw") format input connections.
+Type: string
+Default: 30001
+
+Template: dump1090-mutability/net-ro-port
+Description: Port for AVR-format output connections (0 disables):
+ dump1090 can forward ADS-B messages to other software in several formats.
+ This setting controls the port dump1090 will listen on for AVR ("raw")
+ format output connections.
+Type: string
+Default: 30002
+
+Template: dump1090-mutability/net-bi-port
+Description: Port for Beast-format input connections (0 disables):
+ dump1090 can accept connections to receive data from other sources in 
+ several formats. This setting controls the port dump1090 will listen
+ on for Beast ("binary") format input connections.
+Type: string
+Default: 30004
+
+Template: dump1090-mutability/net-bo-port
+Description: Port for Beast-format output connections (0 disables):
+ dump1090 can forward ADS-B messages to other software in several formats.
+ This setting controls the port dump1090 will listen on for Beast ("binary")
+ format output connections.
+Type: string
+Default: 30005
+
+Template: dump1090-mutability/net-sbs-port
+Description: Port for SBS-format output connections (0 disables):
+ dump1090 can forward ADS-B messages to other software in several formats.
+ This setting controls the port dump1090 will listen on for SBS BaseStation
+ format output connections.
+Type: string
+Default: 30003
+
+Template: dump1090-mutability/net-fatsv-port
+Description: Port for FATSV-format output connections (0 disables):
+ dump1090 can forward ADS-B messages to other software in several formats.
+ This setting controls the port dump1090 will listen on for FlightAware TSV
+ format output connections.
+Type: string
+Default: 10001
+
+Template: dump1090-mutability/net-heartbeat
+Description: Seconds between heartbeat messages (0 disables):
+ If there is no other data sent on a network connection, dump1090 can
+ periodically send an empty heartbeat message to ensure that the
+ connection stays established. This setting controls the interval
+ betweeen heartbeat messages.
+Type: string
+Default: 60
+
+Template: dump1090-mutability/net-out-size
+Description: Minimum output message size:
+ To avoid sending many small network messages, output connections will
+ accumulate data waiting to be sent until either a minimum size is reached
+ or a maximum delay is reached. This setting controls the minimum size,
+ in bytes.
+Type: string
+Default: 500
+
+Template: dump1090-mutability/net-out-interval
+Description: Maximum output buffering time:
+ To avoid sending many small network messages, output connections will
+ buffer data waiting to be sent until either a minimum size is reached
+ or a maximum delay is reached. This setting controls the maximum delay,
+ in seconds.
+Type: string
+Default: 1
+
+Template: dump1090-mutability/net-buffer
+Description: SO_SNDBUF size:
+ Here you can specify the TCP send buffer size to use on network connections.
+Type: select
+Choices: 65536, 131072, 262144
+Default: 262144
+
+Template: dump1090-mutability/net-bind-address
+Description: Interface address to bind to (blank for all interfaces):
+ If you want to limit incoming connections to a particular interface,
+ specify the interface address here. A blank value will bind to the wildcard
+ address, allowing connections on all interfaces.
+ .
+ The default value of 127.0.0.1 will allow connections only on localhost,
+ i.e. only connections that originate on the same machine.
+Type: string
+Default: 127.0.0.1
+
+Template: dump1090-mutability/stats-interval
+Description: Interval between logging stats, in seconds:
+ dump1090 will periodically log message reception stats to its logfile.
+ This setting controls how often that is done.
+Type: string
+Default: 3600
+
+Template: dump1090-mutability/json-dir
+Description: Directory to write JSON aircraft state to:
+ dump1090 periodicallys write a list of aircraft, in JSON format, for use
+ by the virtual radar view when using an external webserver. This setting
+ controls the directory to write to.
+ .
+ As this is written frequently (by default, once a second), you should
+ probably select a location that is not on a sdcard. The default path
+ under /run is on tmpfs and will not write to the sdcard.
+Type: string
+Default: /run/dump1090-mutability
+
+Template: dump1090-mutability/json-interval
+Description: Interval between writing JSON aircraft state, in seconds:
+ Here you can control how often the JSON state is updated.
+Type: string
+Default: 1
+
+Template: dump1090-mutability/extra-args
+Description: Extra arguments to pass to dump1090:
+ Here you can add any extra arguments you want to pass to dump1090.
+Type: string
+Default:
diff --git a/debian/lighttpd/89-dump1090.conf b/debian/lighttpd/89-dump1090.conf
index a12f0eb..fda8a6e 100644
--- a/debian/lighttpd/89-dump1090.conf
+++ b/debian/lighttpd/89-dump1090.conf
@@ -9,5 +9,5 @@ url.redirect += (
 
 alias.url += (
   "/dump1090/data/" => "/run/dump1090-mutability/",
-  "/dump1090/" => "/usr/share/dump1090-mutability/"
+  "/dump1090/" => "/usr/share/dump1090-mutability/html/"
 )
diff --git a/debian/rules b/debian/rules
index cf81ca1..2f3b1c6 100755
--- a/debian/rules
+++ b/debian/rules
@@ -15,7 +15,7 @@ DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
 override_dh_auto_build:
-	dh_auto_build -- 'EXTRACFLAGS=-DHTMLPATH=\"/usr/share/dump1090-mutability\"'
+	dh_auto_build -- 'EXTRACFLAGS=-DHTMLPATH=\"/usr/share/dump1090-mutability/html\"'
 
 override_dh_install:
 	dh_install

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-hamradio/dump1090-mutability.git



More information about the pkg-hamradio-commits mailing list